#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

signals:
    void connectWorkers();
    void disconnectWorkers();

private slots:
    void on_pbStart_clicked();

    void on_pbConnect_clicked();

    void on_pbStop_clicked();

    void on_chooseBackend_clicked();

    void updateTracker(float x, float y, float z, float p, float r, float yaw);

    void updateConsole();

private:
    Ui::MainWindow *ui;
    pid_t backendPid;
    int backendPipe;
    int backendState;
};

#endif // MAINWINDOW_H
